org.sunflow.system.ui

## Class SilentInterface

- java.lang.Object
- - org.sunflow.system.ui.SilentInterface

- All Implemented Interfaces:
    UserInterface

      public class SilentInterface
      extends java.lang.Object
      implements UserInterface

  Null implementation of a user interface. This is usefull to silence the output.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SilentInterface()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `print(UI.Module m, UI.PrintLevel level, java.lang.String s)` Displays some information to the user from the specified module with the specified print level.
    `void` | `taskStart(java.lang.String s, int min, int max)` Prepare a progress bar representing a lengthy task.
    `void` | `taskStop()` Closes the current progress bar to indicate the task is over
    `void` | `taskUpdate(int current)` Updates the current progress bar to a value between the current min and max.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SilentInterface

          public SilentInterface()

  - ### Method Detail

    - #### print

          public void print(UI.Module m,
                            UI.PrintLevel level,
                            java.lang.String s)

      Description copied from interface: `UserInterface`
      Displays some information to the user from the specified module with the specified print level. A user interface is free to show or ignore any message. Level filtering is done in the core and shouldn't be re-implemented by the user interface. All messages will be short enough to fit on one line.
      Specified by:
        `print` in interface `UserInterface`
      Parameters:
        `m` - module the message came from
        `level` - seriousness of the message
        `s` - string to display

    - #### taskStart

          public void taskStart(java.lang.String s,
                                int min,
                                int max)

      Description copied from interface: `UserInterface`
      Prepare a progress bar representing a lengthy task. The actual progress is first shown by the call to update and closed when update is closed with the max value. It is currently not possible to nest calls to setTask, so only one task needs to be tracked at a time.
      Specified by:
        `taskStart` in interface `UserInterface`
      Parameters:
        `s` - desriptive string
        `min` - minimum value of the task
        `max` - maximum value of the task

    - #### taskUpdate

          public void taskUpdate(int current)

      Description copied from interface: `UserInterface`
      Updates the current progress bar to a value between the current min and max. When min or max are passed the progressed bar is shown or hidden respectively.
      Specified by:
        `taskUpdate` in interface `UserInterface`
      Parameters:
        `current` - current value of the task in progress.

    - #### taskStop

          public void taskStop()

      Description copied from interface: `UserInterface`
      Closes the current progress bar to indicate the task is over
      Specified by:
        `taskStop` in interface `UserInterface`